Bug 887818 - a comprehensive /etc/swift/*.conf files should be included
a comprehensive /etc/swift/*.conf files should be included
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-swift (Show other bugs)
1.0 (Essex)
Unspecified Unspecified
high Severity medium
: beta
: 4.0
Assigned To: Pete Zaitcev
Dafna Ron
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2012-12-17 07:05 EST by Nikola Dipanov
Modified: 2016-04-26 16:59 EDT (History)
11 users (show)

See Also:
Fixed In Version: openstack-swift-1.8.0-7.el6ost
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 887334
Last Closed: 2013-12-19 18:53:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Proposed fix (3.15 KB, patch)
2013-06-06 13:21 EDT, Pete Zaitcev
ndipanov: review+
Details | Diff
Proposed fix (32.54 KB, patch)
2013-06-25 20:10 EDT, Pete Zaitcev
zaitcev: review? (ndipanov)
apevec: review+
Details | Diff

  None (edit)
Description Nikola Dipanov 2012-12-17 07:05:06 EST
+++ This bug was initially created as a clone of Bug #887334 +++

Description of problem:

A .conf file with a comprehensive set of configuration options should be shipped various nova services.  Here is a good example to work from:


--- Additional comment from Dan Yocum on 2012-12-14 12:22:34 EST ---

This one looks like it's more up-to-date:

Comment 2 Alan Pevec 2012-12-18 09:15:38 EST
Swift is of course special and its sample configs are not that useful as in other projects which use cfg and have autogenerated conf samples with doc comments: https://github.com/openstack/swift/tree/master/etc
So this will require some upstream work, ideally to convert Swift to use oslo-cfg, and minimally to add doc comments in sample configs manually.
Comment 4 Pete Zaitcev 2013-06-06 13:21:06 EDT
Created attachment 757780 [details]
Proposed fix

I find the complete configs for Swift rather unweildy and difficult to
edit, although they would not be without precendent. Look at sample
configs for things like Postfix and Apache.

Still, I question my own ability to maintain them in 100% coherence
with the reality. I barely have cycles to audit changes to upstream
configs that we repackage as foo-sample.

Nicola, do you think you could be satisfied with better redirection
to comprehensive sample configs that we already install? Please see
the attached patch.
Comment 5 Pete Zaitcev 2013-06-25 20:10:30 EDT
Created attachment 765343 [details]
Proposed fix
Comment 6 Alan Pevec 2013-06-26 08:38:21 EDT
Comment on attachment 765343 [details]
Proposed fix

Looks good enough, it synces what upstream currently has in etc/*-sample but ideally upstream could improve the samples and add more documentation comments.
Even more ideally, upstream would switch to oslo.config and generate samples from the code, like Nova does https://github.com/openstack/nova/tree/master/tools/conf
Comment 12 Dafna Ron 2013-10-03 04:46:43 EDT
conf files (although not hight detailed) exists: 
[root@nott-vdsa swift(keystone_admin)]# ls -l 
total 2456
-rw-r--r--. 1 root  swift 787324 Sep 27 19:02 account.builder
-rw-r--r--. 1 root  swift  37564 Sep 27 19:02 account.ring.gz
drwxr-sr-x. 2 root  swift   4096 Sep 27 19:02 backups
-rw-r--r--. 1 root  swift 787326 Sep 27 19:02 container.builder
-rw-r--r--. 1 root  swift  37730 Sep 27 19:02 container.ring.gz
-rw-r--r--. 1 root  swift 787326 Sep 27 19:02 object.builder
-rw-rw----. 1 root  swift    291 Jun 20 13:24 object-expirer.conf
-rw-r--r--. 1 root  swift  37588 Sep 27 19:02 object.ring.gz
drwxr-xr-x. 2 root  root    4096 Jun 20 13:26 proxy-server
-rw-rw----. 1 swift swift   1108 Sep 25 17:47 proxy-server.conf
-rw-rw----. 1 swift swift     58 Sep 25 17:46 swift.conf

verified for openstack-swift-1.8.0-6.el6ost.noarch
Comment 15 errata-xmlrpc 2013-12-19 18:53:30 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.